package spiral.digitalize.filters;

/**
 * This class is part of package downloaded from <a href="http://www.jhlabs.com/ip/filters.html">JH Labs - filters<a>
 * <p>Title: JH Labs - filters</p>
 * <p>Description: Superclass for implementing filters over binary images</p>
 * <p>Copyright: Copyright (C) Jerry Huxtable 1998</p>
 * <p>Company: </p>
 * @author Jerry Huxtable
 * @version 1.0
 */
public class BinaryFilter
    extends WholeImageFilter {

  protected int newColor = 0xff000000;
  protected BinaryFunction blackFunction = new BlackFunction();
  protected int iterations = 1;
  protected Colormap colormap;

  public void setIterations(int iterations) {
    this.iterations = iterations;
  }

  public int getIterations() {
    return iterations;
  }

  public void setColormap(Colormap colormap) {
    this.colormap = colormap;
  }

  public Colormap getColormap() {
    return colormap;
  }

  public void setNewColor(int newColor) {
    this.newColor = newColor;
  }

  public int getNewColor() {
    return newColor;
  }

  public void setBlackFunction(BinaryFunction blackFunction) {
    this.blackFunction = blackFunction;
  }

  public BinaryFunction getBlackFunction() {
    return blackFunction;
  }

}