package spiral.digitalize.filters;

/**
 * This class is part of package downloaded from <a href="http://www.jhlabs.com/ip/filters.html">JH Labs - filters<a>
 * <p>Title: JH Labs - filters</p>
 * <p>Description:  An interface for color maps.  These are passed to filters which convert gray values to colors. This is similar to the ColorModel class but works with floating point values.</p>
 * <p>Copyright: Copyright (C) Jerry Huxtable 1998</p>
 * <p>Company: </p>
 * @author Jerry Huxtable
 * @version 1.0
 */
public interface Colormap {
  /**
   * Convert a value in the range 0..1 to an RGB color.
   * @param v a value in the range 0..1
   * @return an RGB color
   */
  public int getColor(float v);
}